// DlgDisplayOpt.cpp : implementation file
//

#include "stdafx.h"
#include "trviewer.h"
#include "DlgDisplayOpt.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgDisplayOpt dialog


CDlgDisplayOpt::CDlgDisplayOpt(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgDisplayOpt::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgDisplayOpt)
	m_boShowFriendlyNames = FALSE;
	m_boShowIconItems = FALSE;
	m_boShowRealMeshes = FALSE;
	m_boShowAssociatedMoveable = FALSE;
	//}}AFX_DATA_INIT
}


void CDlgDisplayOpt::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgDisplayOpt)
	DDX_Check(pDX, IDC_OPT_SHOWFRIENDLYNAMES, m_boShowFriendlyNames);
	DDX_Check(pDX, IDC_OPT_SHOWICONITEMS, m_boShowIconItems);
	DDX_Check(pDX, IDC_OPT_SHOWREALMESHES, m_boShowRealMeshes);
	DDX_Check(pDX, IDC_OPT_SHOWASSOCMVB, m_boShowAssociatedMoveable);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgDisplayOpt, CDialog)
	//{{AFX_MSG_MAP(CDlgDisplayOpt)
	ON_BN_CLICKED(IDC_OPT_CHANGEBKGCOLOR, OnChangebkgcolor)
	ON_WM_CANCELMODE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgDisplayOpt message handlers

void CDlgDisplayOpt::OnChangebkgcolor() 
{
    CColorDialog    dlg( m_BkgColor, CC_FULLOPEN, this );
    
    if( dlg.DoModal() == IDOK )
        {
        m_BkgColor = dlg.GetColor();
        }
}
