#if !defined(AFX_DLGLEVELSAVE_H__502AF976_F55E_444B_A71F_E605AFE2981F__INCLUDED_)
#define AFX_DLGLEVELSAVE_H__502AF976_F55E_444B_A71F_E605AFE2981F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgLevelSave.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgLevelSave dialog
class CDlgLevelLS : public CDialog
{
public:

	CDlgLevelLS(int idd, CWnd* pParent = NULL) : CDialog(idd, pParent) { }

    void    vSetConvertRange(DWORD dwMax)       { m_ConvertProgress.SetRange32(0, dwMax); }
    void    vSetConvertProgress(DWORD dwValue)  { m_ConvertProgress.SetPos(dwValue); }

	void	vSetLevelName( const CString& cstrLevelName )
	{
		m_cstrLevelName = cstrLevelName;
	}

protected:

	CString			m_cstrLevelName;
	CProgressCtrl	m_ConvertProgress;
};


class CDlgLevelSave : public CDlgLevelLS
{
// Construction
public:
	CDlgLevelSave(CWnd* pParent = NULL);   // standard constructor

    void    vSetSaveRange(DWORD dwMax)          { m_SaveProgress.SetRange32(0, dwMax); }
    void    vSetConvert2Range(DWORD dwMax)      { m_Convert2Progress.SetRange32(0, dwMax); }
    void    vSetSaveProgress(DWORD dwValue)     { m_SaveProgress.SetPos(dwValue); }
    void    vSetConvert2Progress(DWORD dwValue) { m_Convert2Progress.SetPos(dwValue); }
    void    vSetNumTiles(DWORD dwOld, DWORD dwNew);

// Dialog Data
	//{{AFX_DATA(CDlgLevelSave)
	enum { IDD = IDD_LEVEL_SAVE };
	CProgressCtrl	m_SaveProgress;
	CProgressCtrl	m_Convert2Progress;
	CString	m_cstrNumTiles;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgLevelSave)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgLevelSave)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGLEVELSAVE_H__502AF976_F55E_444B_A71F_E605AFE2981F__INCLUDED_)
