#if !defined(AFX_EDITSOUNDS_H__06D7BF65_DF0E_4E84_A189_B36367D3AD7D__INCLUDED_)
#define AFX_EDITSOUNDS_H__06D7BF65_DF0E_4E84_A189_B36367D3AD7D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditSounds.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditSounds form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

#include "EditBase.h"

class CHandleSounds;

class CEditSounds : public CEditBase
{
protected:
	CEditSounds();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CEditSounds)

    void    vFillLists();

// Form Data
public:
	//{{AFX_DATA(CEditSounds)
	enum { IDD = IDD_EDIT_SOUNDS };
	CComboBox	m_ComboSoundMapping;
	CListBox	m_UsedSoundList;
	CListBox	m_SoundList;
	DWORD       m_dwNumSounds;
	DWORD       m_dwNumUsedSounds;
	DWORD	m_dwNumSamples;
	DWORD	m_dwPriority;
	long	m_lRange;
	DWORD	m_dwChannel;
	long	m_lVolume;
	DWORD   m_dwFirstIndex;
	DWORD   m_dwInternalIndex;
	//}}AFX_DATA

// Attributes
public:

// Operations
public:

    void    vSetDataTypeHandler(CHandleSounds* lpHandler);

    void    vRelease();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditSounds)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CEditSounds();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CEditSounds)
	afx_msg void OnAddsound();
	afx_msg void OnPlaysound();
	afx_msg void OnPlayusedsound();
	afx_msg void OnRemovesound();
	afx_msg void OnSelchangeUsedsounds();
	afx_msg void OnKillfocusSoundChannel();
	afx_msg void OnKillfocusSoundNumsamples();
	afx_msg void OnKillfocusSoundPriority();
	afx_msg void OnKillfocusSoundRange();
	afx_msg void OnKillfocusSoundVolume();
	afx_msg void OnSelchangeComboSoundmapping();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

    CHandleSounds*      m_lpDataHandler;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITSOUNDS_H__06D7BF65_DF0E_4E84_A189_B36367D3AD7D__INCLUDED_)
