#pragma once


class CTrMvb;


class CHandleMoveable : public CHandleBase
{
public:

    CHandleMoveable(CFileTree* lpTree,CChildFrame* lpChildFrm,void* lpData) :CHandleBase(lpTree,lpChildFrm,eEditPane_Moveable,lpData) { }
    DWORD           dwGetDataType() { return 7; }
    CTrMvb*         GetMoveable() { return static_cast<CTrMvb*>(lpGetData()); }
    virtual void    vSetChanged(bool boReloadTextures = false);

    virtual CMenu*  lpGetPopupupMenu(HTREEITEM hSelectedItem);
    virtual void    vReleasePopupupMenu();
    virtual void    vHandleMenu(WORD wMenuId);

    virtual void    vExpandTree(bool boAlreadyExpanded);

protected:

    virtual void vEditSetInfo(TCHAR* lpszNodeName);


    void         vExportTo3DS();
    void         vImportFrom3DS();
    void         vClearMoveable();
    void         vExportToFairy();
    void         vExportAsMVB();
    void         vImportFromMVB(CTrMvb* lpMvb = NULL);
    void         vExportTextureToTGA();
    void         vImportTextureFromTGA();
    void         vRemoveSounds();
    void         vDelete();


private:

    CMenu*      m_lpMenu;

    friend class CHandleRootTR123;
};