#pragma once


class CHandleSprite;


class CHandleSprites : public CHandleBase
{
public:

    CHandleSprites(CFileTree* lpTree,CChildFrame* lpChildFrm) : CHandleBase(lpTree,lpChildFrm,eEditPane_None) { }

    DWORD   dwGetDataType() { return 10; }

    virtual CMenu*  lpGetPopupupMenu(HTREEITEM hSelectedItem);
    virtual void    vReleasePopupupMenu();
    virtual void    vHandleMenu(WORD wMenuId);

    virtual void    vExpandTree(bool boAlreadyExpanded);

    CHandleSprite*  lpFindSprite(DWORD dwObjId);

protected:

    void         vExportAsSPR();
    void         vImportFrom3DS();
    void         vImportFromSPR(CTrLstSpr* lpSpr_ = NULL);

private:

    CMenu*      m_lpMenu;

    friend class CHandleSprite;
    friend class CHandleRootTR123;
};
