#pragma once


class CHandleMesh;


class CHandleStaticMeshes : public CHandleBase
{
public:

    CHandleStaticMeshes(CFileTree* lpTree,CChildFrame* lpChildFrm) : CHandleBase(lpTree,lpChildFrm,eEditPane_None) { }

    DWORD   dwGetDataType() { return 9; }

    virtual CMenu*  lpGetPopupupMenu(HTREEITEM hSelectedItem);
    virtual void    vReleasePopupupMenu();
    virtual void    vHandleMenu(WORD wMenuId);
    virtual void    vExpandTree(bool boAlreadyExpanded);

    CHandleMesh*    lpFindStaticMesh(DWORD dwObjId);

protected:

    void         vExportAsMSH();
    void         vImportFrom3DS();
    void         vImportFromMSH(CTrLstMsh* lpMshSrc = NULL);

private:

    CMenu*      m_lpMenu;

    friend class CHandleMesh;
    friend class CHandleRootTR123;
};