#include "stdafx.h"

#include "TextureTools.h"


void CTRFile::vCreateMapMaterial(database3ds* db,MATNAME2INFO& MapMat,TCHAR* lpszTexturePath)
{
    DWORD dwNumMat = GetMaterialCount3ds(db);

    while(dwNumMat--)
        {
        material3ds* lpMaterial = NULL;
        GetMaterialByIndex3ds(db,dwNumMat,&lpMaterial);

        if(*lpMaterial->texture.map.name)
            {
            INFO_MAT* lpInfo = new INFO_MAT;
        
            lpInfo->boUsed      = false;
            lpInfo->lpbData     = NULL;
            lstrcpy(lpInfo->szTextName,lpMaterial->texture.map.name);

            TCHAR szMapPath[_MAX_PATH];

            lstrcpy(szMapPath,lpszTexturePath);
            lstrcat(szMapPath,lpMaterial->texture.map.name);

            DWORD dwErr = dwLoadImage(szMapPath,&lpInfo->dwWidth,&lpInfo->dwHeight,&lpInfo->lpbData);

            if(dwErr)
                {
                CString s;
            
                s.Format(_T("Error loading the texture '%s' for material '%s'. Polys using this material won't be imported !"),szMapPath,lpMaterial->name);
            
                AfxMessageBox(s,MB_OK | MB_ICONEXCLAMATION | MB_TOPMOST);

                delete lpInfo;
                }
            else
                {
                MapMat[lpMaterial->name] = lpInfo;
                }
            }

        ReleaseMaterial3ds(&lpMaterial);
        }
}

