// TRViewerView.h : interface of the CTRViewerView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRVIEWERVIEW_H__903546E1_E15E_11D3_AA54_00105A49000B__INCLUDED_)
#define AFX_TRVIEWERVIEW_H__903546E1_E15E_11D3_AA54_00105A49000B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFileTree;

class CTRViewerView : public CFormView
{
protected: // create from serialization only
	CTRViewerView();
	DECLARE_DYNCREATE(CTRViewerView)

public:
	//{{AFX_DATA(CTRViewerView)
	enum{ IDD = IDD_TRVIEWER_FORM };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
public:
	CTRViewerDoc* GetDocument();

// Operations
public:

    bool        boSave(LPCTSTR lpszFileName);
    BOOL        boOnIdle();
    void        vSetCameraMode(bool boManual);
    void        vSetShowAxis(bool boShow);
    void        vSetBkgColor(COLORREF BkgColor);
    void        vResetRightView(bool boReexpandTree = true);
	void		vShowIconsInTreeview( bool boShow );

    static CView*  GetActiveView();
	static CTRViewerView*	lpGetAndActivateTreeCtrlView();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTRViewerView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnActivateView(BOOL bActivate, CView* pActivateView, CView* pDeactiveView);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTRViewerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

    CFileTree*      m_lpTree;

// Generated message map functions
protected:
	//{{AFX_MSG(CTRViewerView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TRViewerView.cpp
inline CTRViewerDoc* CTRViewerView::GetDocument()
   { return (CTRViewerDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRVIEWERVIEW_H__903546E1_E15E_11D3_AA54_00105A49000B__INCLUDED_)
