#if !defined(AFX_TLBOXMESHMAIN_H__444151B4_3F52_44F1_AE42_4CCFA634D02C__INCLUDED_)
#define AFX_TLBOXMESHMAIN_H__444151B4_3F52_44F1_AE42_4CCFA634D02C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TlboxMeshMain.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTlboxMeshMain dialog


class CTlboxMeshMain : public CToolboxItfBase, public ITlboxMeshItfMain
{
	DECLARE_DYNCREATE(CTlboxMeshMain)

// Construction
public:

	CTlboxMeshMain() : CToolboxItfBase() { }
	CTlboxMeshMain( CToolboxBase* lpParent ); 
	~CTlboxMeshMain();

	//{{AFX_DATA(CTlboxMeshMain)
	enum { IDD = IDD_TOOLBOX2_MESH_MESHPANE };
	CSliderCtrl	m_IntensitySlider;
	long	m_lCollSphereRadius;
	CString	m_cstrNumQuads;
	CString	m_cstrNumTris;
	CString	m_cstrNumVert;
	long	m_lBB1x;
	long	m_lBB1y;
	long	m_lBB1z;
	long	m_lBB2x;
	long	m_lBB2y;
	long	m_lBB2z;
	CString	m_cstrExtents;
	BOOL	m_boBB1On;
	BOOL	m_boBB2On;
	BOOL	m_boFlagCollide;
	BOOL	m_boFlagVisible;
	CString	m_cstrObjId;
	BOOL	m_boDummyMesh;
	BOOL	m_boIntensityAlpha;
	//}}AFX_DATA

public:

	// CToolboxItfBase
	void	vInit( bool boNewMesh );

	// ITlboxMeshItfMain
    virtual BOOL    boStaticBB1IsSel() { return m_boBB1On; }
    virtual BOOL    boStaticBB2IsSel() { return m_boBB2On; }

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTlboxMeshMain)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CTlboxMeshMain)
	afx_msg void OnCollSphereShow();
	afx_msg void OnKillfocusCollsphereradius();
	afx_msg void OnDeltaposSpinsphradius(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnVerticesshow();
	afx_msg void OnMeshlighting();
	afx_msg void OnKillfocusBb1x();
	afx_msg void OnKillfocusBb1y();
	afx_msg void OnKillfocusBb1z();
	afx_msg void OnKillfocusBb2x();
	afx_msg void OnKillfocusBb2y();
	afx_msg void OnKillfocusBb2z();
	afx_msg void OnMeshbb1on();
	afx_msg void OnMeshbb1show();
	afx_msg void OnMeshbb2on();
	afx_msg void OnMeshbb2show();
	afx_msg void OnMeshflagCollide();
	afx_msg void OnMeshflagVisible();
	afx_msg void OnKillfocusMeshObjid();
	afx_msg void OnMeshDummy();
	afx_msg void OnMeshIntensityAlpha();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

    bool                m_boCollSphereShow;
    bool                m_boShowVertices;
    bool                m_boShowStaticBB1;
    bool                m_boShowStaticBB2;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TLBOXMESHMAIN_H__444151B4_3F52_44F1_AE42_4CCFA634D02C__INCLUDED_)
