#if !defined(AFX_TLBOXMOVEABLEANIM_H__D8028C36_02E0_4249_84E3_6825889CAF76__INCLUDED_)
#define AFX_TLBOXMOVEABLEANIM_H__D8028C36_02E0_4249_84E3_6825889CAF76__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TlboxMoveableAnim.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTlboxMoveableAnim dialog


class CTlboxMoveableAnim : public CToolboxItfBase, public ITlboxMoveableItfAnim
{
	DECLARE_DYNCREATE(CTlboxMoveableAnim)

// Construction
public:
	CTlboxMoveableAnim() { }
	CTlboxMoveableAnim( CToolboxBase* lpParent );
	~CTlboxMoveableAnim();

// Dialog Data
	//{{AFX_DATA(CTlboxMoveableAnim)
	enum { IDD = IDD_TOOLBOX2_MOVEABLE_ANIMPANE };
	CSliderCtrl	m_SliderSpeed;
	CSpinButtonCtrl	m_SpinInterp;
	CSliderCtrl	m_SliderKey;
	CSliderCtrl	m_SliderFrame;
	CComboBox	m_LstAnims;
	CString	m_cstrCurAnim;
	CString	m_cstrCurFrame;
	DWORD	m_dwAnimFrameRate;
	CString	m_cstrNumTotFrames;
	CString	m_cstrCurKey;
	CString	m_cstrNumTotKeys;
    DWORD   m_dwAnimSpeed;
	float	m_fAnimInterp;
	CString	m_cstrStateId;
    CString	m_cstrAnmUnk;
    CString	m_cstrAnmSpeed;
    CString	m_cstrAnmAccel;
    DWORD   m_dwNextAnim;
    DWORD   m_dwNextFrame;
	//}}AFX_DATA


public:

	// CToolboxItfBase
	virtual void	vInit( bool boNewMoveable );
	virtual bool	boCheckKeys();

	// ITlboxMoveableItfAnim
    virtual void    vSetCurAnim( DWORD dwCurAnim );
    virtual void    vSetCurFrame( DWORD dwCurFrame, DWORD dwNumFrames );
    virtual void    vSetCurKey( DWORD dwCurKey, DWORD dwNumKeys );
    virtual void    vSetAnimationFrameRate( DWORD dwAnimFrameRate );
    virtual void    vSetAnimationNextAnim( DWORD dwNextAnim, DWORD dwNextFrame );
    virtual void    vSetInterp( float fInterp );
    virtual bool    boIsAnimModeAutomatic() { return m_boAutomaticAnim; }
    virtual DWORD   dwGetCurTrack();

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTlboxMoveableAnim)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTlboxMoveableAnim)
	afx_msg void OnSelchangeComboanim();
	afx_msg void OnTypeanim();
	afx_msg void OnAnimmode();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnInterpon();
	afx_msg void OnDeltaposSpininterp(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnKillfocusInterp();
	afx_msg void OnHexdec();
	afx_msg void OnKillfocusAnmParam1();
	afx_msg void OnKillfocusAnmParam2();
	afx_msg void OnKillfocusAnmParam3();
	afx_msg void OnKillfocusNextAnim();
	afx_msg void OnKillfocusNextFrame();
	afx_msg void OnKillfocusStateId();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

    void    vSetAnimParams();

    bool                m_boChainAnimations;
    bool                m_boAutomaticAnim;
    bool                m_boAnimInterp;
    bool                m_boAnmParamsInHexa;
    long                m_lAnmUnk;
    long                m_lAnmSpeed;
    float               m_fAnmAccel;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TLBOXMOVEABLEANIM_H__D8028C36_02E0_4249_84E3_6825889CAF76__INCLUDED_)
