#pragma once


class CToolboxItfBase : public CPropertyPage
{
public:

	CToolboxItfBase() : m_lpParent( NULL ) { }
	CToolboxItfBase( int iId, CToolboxBase* lpParent ) : CPropertyPage( iId ), m_lpParent( lpParent ) { }
	virtual ~CToolboxItfBase() { }

	virtual void	vInit( bool boNewObject ) { }
	virtual bool	boCheckKeys() { return false; }

	CToolboxBase*	lpGetToolboxBase() const { return m_lpParent; }

private:

	virtual BOOL OnSetActive()
	{
		_ASSERTE( m_lpParent != NULL );
		
		BOOL boRet = CPropertyPage::OnSetActive();
		
		m_lpParent->vOnActivatePage( this );
		
		return boRet;
	}

protected:

	CToolboxBase*		m_lpParent;
};
