#if !defined(AFX_EDITMOVEABLE_H__D9E3B0C1_B8F0_11D1_AA68_00105A49000B__INCLUDED_)
#define AFX_EDITMOVEABLE_H__D9E3B0C1_B8F0_11D1_AA68_00105A49000B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditMoveable.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditMoveable form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif


class CToolbox2Moveable;


class CEditMoveable : public CEditGfxBase
{
protected:

	CEditMoveable();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CEditMoveable)

// Form Data
public:
	//{{AFX_DATA(CEditMoveable)
	enum { IDD = IDD_EDIT_MOVEABLE };
	//}}AFX_DATA

// Operations
public:

    virtual void    vOnInitEdit();

    void    vSetAnimation(DWORD dwNumAnim) { if(m_OpenGLWndCreated) m_OpenGLWnd->vSetMoveableAnimation(dwNumAnim); }
    void    vSetAnimationType(bool boChainAnimations,bool boResetMoveable = true) { if(m_OpenGLWndCreated) m_OpenGLWnd->vSetAnimationType(boChainAnimations,boResetMoveable); }
    void    vSetAutomaticAnim(bool boAutomaticAnim) { if(m_OpenGLWndCreated) m_OpenGLWnd->vSetAutomaticAnim(boAutomaticAnim); }
    void    vSetAnimOverallSpeed(float fSpeed) { if(m_OpenGLWndCreated) m_OpenGLWnd->vSetAnimOverallSpeed(fSpeed); }
    void    vSetAnimCurFrame(DWORD dwNumFrame) { if(m_OpenGLWndCreated) m_OpenGLWnd->vSetAnimCurFrame(dwNumFrame); }
    void    vSetAnimCurKey(DWORD dwNumKey) { if(m_OpenGLWndCreated) m_OpenGLWnd->vSetAnimCurKey(dwNumKey); }
    void    vSetAnimInterp(bool boOk) { if(m_OpenGLWndCreated) m_OpenGLWnd->vSetAnimInterp(boOk); }
    void    vChangeAnimInterp(int iDir) { if(m_OpenGLWndCreated) m_OpenGLWnd->vChangeAnimInterp(iDir); }
    void    vSetAnimInterp(float fInterp) { if(m_OpenGLWndCreated) m_OpenGLWnd->vSetAnimInterp(fInterp); }
	void	vSetGfxVisiblity( DWORD dwNumGfx, bool boAnimatedVisible, bool boDisplayedVisible ) { if(m_OpenGLWndCreated) m_OpenGLWnd->vSetGfxVisiblity(dwNumGfx,boAnimatedVisible,boDisplayedVisible); }
    void    vSetShowMoveableBB(bool boOk) { if(m_OpenGLWndCreated) m_OpenGLWnd->vSetShowMoveableBB(boOk); }

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditMoveable)
	//}}AFX_VIRTUAL

// Implementation
protected:

	virtual CToolboxBase*	lpGetBaseToolbox();
	CToolbox2Moveable*		lpGetToolbox();

	// Generated message map functions
	//{{AFX_MSG(CEditMoveable)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITMOVEABLE_H__D9E3B0C1_B8F0_11D1_AA68_00105A49000B__INCLUDED_)
