// EditSprite.cpp : implementation file
//

#include "stdafx.h"

#include "Resource.h"
#include "ChildFrm.h"
#include "HandleBase.h"
#include "HandleSprite.h"
#include "EditBase.h"
#include "EditSprite.h"

#include "ToolboxBase.h"
#include "ToolboxItfBase.h"
#include "ToolboxSheet.h"
#include "TlboxSpriteItf.h"
#include "Toolbox2Sprite.h"


#ifdef _DEBUG
//#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CEditSprite


IMPLEMENT_DYNCREATE(CEditSprite, CEditGfxBase)

CEditSprite::CEditSprite() : CEditGfxBase(CEditSprite::IDD)
{
	//{{AFX_DATA_INIT(CEditSprite)
	//}}AFX_DATA_INIT
}


BEGIN_MESSAGE_MAP(CEditSprite, CEditGfxBase)
	//{{AFX_MSG_MAP(CEditSprite)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditSprite message handlers

void CEditSprite::vOnInitEdit()
{
	GET_EDITHANDLER(CHandleSprite);

	sGfxDisplay	LstGfx[ 1 ];

	LstGfx[ 0 ] = sGfxDisplay( true, TrObj_Type_Sprite, lpHandler->GetSpr(), NULL );

    m_OpenGLWnd->vSetSprSeqAddr( LstGfx, 1 );

	m_OpenGLWnd->vZoom( lpHandler->fGetZoomFactor() );

    if (!lpGetToolbox()->vSetHandlers(lpHandler,this))
	{
		lpGetToolbox()->vSetHandlers(lpHandler,this);
	}

	lpGetToolbox()->vSetAnimationType( lpHandler->boIsAnimated() );

    InvalidateRect(NULL);
}


CToolboxBase*	CEditSprite::lpGetBaseToolbox()
{
	return GET_TOOLBOX(CToolbox2Sprite);
}


CToolbox2Sprite*	CEditSprite::lpGetToolbox()
{
	return GET_TOOLBOX(CToolbox2Sprite);
}
