#include "stdafx.h"

#include "Resource.h"
#include "ChildFrm.h"
#include "FileTree.h"
#include "HandleBase.h"
#include "HandleRootTR4.h"
#include "HandleTile.h"


void    CHandleRootTR4::vExpandTree(bool boAlreadyExpanded)
{
    if(boAlreadyExpanded) return;

    CString             s;
    HTREEITEM           h;
    CTRFile*            lpTRFile    = m_lpTree->lpGetTRFile();
    TR123_FILE_STRUCT&  trFile      = lpTRFile->GetTRFile().tr123File;

    s.Format(_T("Texture 1"));
    INSERT(m_lpTree,h,m_hParentItem,new CHandleTile(m_lpTree,m_lpChildFrm,&trFile.Texture1,TILE_256xY_32))

    s.Format(_T("Texture 2"));
    INSERT(m_lpTree,h,m_hParentItem,new CHandleTile(m_lpTree,m_lpChildFrm,&trFile.Texture2,TILE_256xY_16))

    s.Format(_T("Texture 3"));
    INSERT(m_lpTree,h,m_hParentItem,new CHandleTile(m_lpTree,m_lpChildFrm,&trFile.Texture3,TILE_256xY_32))
}

